<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <title>Generador de UUID</title>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>

</head>

<body>
    <div style="text-align: center">
        <h1>Identificador único universal (UUID)</h1><br>
        <button onclick="getUuid()">Generar</button>
        <h4 id="result"></h4>
    </div>
</body>

<script>
    function getUuid() {
        $.ajax({
            url: "http://127.0.0.1:8080/api/get-uuid",
            type: 'GET',
            success: function(res) {
                console.log(res);
                $('#result').html(res)
            },
            error: function(xhr, ajaxOptions, thrownError) {
                $('#result').html(`Error: ${xhr.status} ${thrownError}`)
            }
        });
    }
</script>

</html>